package org.diagbot.bigdata.util;

/**
 * @ClassName org.diagbot.bigdata.util.BigDataConstants
 * @Description TODO
 * @Author fyeman
 * @Date 2019/1/16/016 14:06
 * @Version 1.0
 **/
public class BigDataConstants {
    public final static String resource_type_i = "I";       //住院
    public final static String resource_type_o = "O";       //门诊
    public final static String resource_type_e = "E";       //急诊
    public final static String resource_type_oe = "OE";     //急诊 门诊合并

    public final static String feature_type_symptom  = "1"; //症状
    public final static String feature_type_diag  = "2";    //诊断
    public final static String feature_type_vital  = "3";   //体征
    public final static String feature_type_lis = "4";      //化验
    public final static String feature_type_pacs = "5";     //检查
    public final static String feature_type_treat = "6";       //治疗
    public final static String feature_type_history = "7";       //历史
    public final static String feature_type_feature = "9"; //症状描述中的特征信息 如部位、性质等

    public final static String standard_info_diag_cache = "standardInfoDiagMap";                    //词典库疾病缓存
    public final static String standard_info_symptom_cache = "standardInfoSymptomMap";             //症状信息缓存
    public final static String standard_info_synonym_cache = "standardInfoSynonymMap";             //同义词缓存
    public final static String standard_info_type_cache = "standardInfoTypeMap";             //大小类关系词缓存
    public final static String standard_info_type_tree_cache = "standardInfoTypeTreeMap";             //大小类关系词缓存-树形结构

    //词典库relation_id定义
    public final static String standard_info_relation_type_2 = "2";    //同义词
    public final static String standard_info_relation_type_3 = "3";    //大小类

    public final static String feature_name_mapping = "featureNameMappingMap";          //推送体征结果名称映射
    public final static String result_mapping_diag = "resultMappingDiagMap";          //推送疾病科室名称映射
    public final static String result_mapping_filter = "resultMappingFilterMap";          //推送结果年龄 性别过滤
}
