/** 
* @Company: 杭州朗通信息技术有限公司
* @Department: 医疗事业部
* @Description: 互动反馈系统 
* @Address: 浙江省杭州市余杭区向往街1008号乐富海邦园11幢4楼
*/
package org.diagbot.bigdata.dao.mapper;

import org.diagbot.bigdata.dao.model.FeatureMapping;
import org.diagbot.bigdata.dao.model.wrapper.FeatureMappingWrapper;
import org.diagbot.pub.orm.EntityMapper;

/**
* @Title: Feature.java
* @Package: com.zjlantone.nlp.web.doc.dao.model
* @Description: 数据库操作接口类 
* @author: 楼辉荣
* @date: 2016年8月8日 下午17:16:23
* @version: V1.0
*/
public interface FeatureMappingMapper extends EntityMapper<FeatureMapping, FeatureMappingWrapper, Long> {
}