package org.diagbot.bigdata.service.impl;

import org.diagbot.bigdata.dao.mapper.FeatureMappingMapper;
import org.diagbot.bigdata.dao.model.FeatureMapping;
import org.diagbot.bigdata.dao.model.wrapper.FeatureMappingWrapper;
import org.diagbot.bigdata.service.FeatureMappingService;
import org.diagbot.pub.service.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class FeatureMappingServiceImpl extends BaseServiceImpl<FeatureMapping, FeatureMappingWrapper, Long> implements FeatureMappingService {
    @Autowired
    FeatureMappingMapper featureMappingMapper;

    @Autowired
    private void setEntityMapper() {
        super.setEntityMapper(featureMappingMapper);
    }

}
